<?php
/*
 * Manipulation de tableaux PHP
 *  - Afficher un "array" sous forme de liste "dl"
 *  - Afficher un "array" sous forme de tableau HTML "table"
 *  - Construire un "array" contenant les tables de multiplication
 */

// Ces 2 lignes forcent l'affichage de toutes les erreurs PHP
ini_set('error_display', 'on');
ini_set('error_reporting', E_ALL);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body>
        <?php
        $tableau = array(
            "clef1" => "définition 1",
            "clef2" => "def 2",
            1 => "WWW"
        );
        ?>

        <h4>Contenu du tableau, formatté en HTML</h4>
        <dl>
            <?php
            foreach ($tableau as $clef => $valeur) {
                echo "<dt>$clef</dt>";
                echo "<dd>$valeur</dd>";
            }
            ?>
        </dl>

        <table border="2">
            <?php
            foreach ($tableau as $clef => $valeur) {
            ?>
            <tr>
                <td><?php echo $clef; ?></td>
                <td> =&gt; </td>
                <td><?php echo $valeur; ?></td>
            </tr>
            <?php } ?>
        </table>

        <h4>Multiplications</h4>
        <?php
        $multiples = array();
        for ($ligne = 1; $ligne < 10 ; $ligne++) {
            // une ligne de multiplications
            $mult_par = array();
            for ($a = 1; $a <= 14 ; $a++) {
                $mult_par[$a] = $ligne*$a;
            }
            $multiples[$ligne] = $mult_par;
        }

        echo $multiples[7][8];
        ?>
    </body>
</html>
