<?php
//ini_set('error_display', 'on');
ini_set('error_reporting', E_ALL);
session_start();
if (empty($_SESSION['login'])) {
    /*
     * die("http://" . $_SERVER['SERVER_NAME']
        . dirname($_SERVER['PHP_SELF']) . "/login_session.php");
     */
    header("Location: login_session.php");
    exit();
}
$listeDisques = array(
    array(
        'titre' => "Sonates",
        'artiste' => "Bach",
        'date' => 2007,
        'genre' => array('baroque'),
    ),
    array(
        "titre" => "Concerto",
        'artiste' => "Beethoven",
        'date' => 2001,
        "genre" => array("classique", "romantique"),
    ),
);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body>
        <?php
        //var_dump($_POST);
        // Validation du formulaire
        if (isset($_POST['date'])) { // formulaire reçu ?
            $ajout = TRUE;
            foreach (array('titre','artiste','date', 'genre') as $champ) {
                if (!isset($_POST[$champ])
                    || (is_string($_POST[$champ]) && trim($_POST[$champ]) == "")
                ) { // vide ou que des espaces ?
                    echo "<p>Le champ '$champ' n'est pas rempli.</p>";
                    $ajout = FALSE;
                }
            }
            if ($ajout) {
                // ajout d'un disque à la fin de la liste
                $listeDisques[] = array(
                    "titre" => $_POST['titre'],
                    'artiste' => $_POST['artiste'],
                    'date' => $_POST['date'],
                    'genre' => $_POST['genre'],
                );
            }
        }
        ?>
        <form id="ajout" method="POST">
            <fieldset>
                <legend>Ajout d'un disque</legend>
                Titre :
                <?php input_text('titre'); ?>
                <br />
                Artiste :
                <?php input_text('artiste'); ?>
                <br />
                Date :
                <?php input_text('date'); ?>
                <br />
                Genre :
                <!-- $_POST['genre'] sera un tableau -->
                <label>
                    <input type="checkbox" name="genre[]" value="baroque" />
                    Baroque
                </label>
                <input type="checkbox" name="genre[]" value="classique" /> Classique
                <br />
                <input type="submit" value="Ajouter" />
            </fieldset>
        </form>

        <h4>Liste des disques, formattée en HTML</h4>
        <table border="1">
            <thead>
                <tr>
                    <th>titre</th>
                    <th>artiste</th>
                    <th>date</th>
                    <th>genre</th>
                </tr>
            </thead>
            <tbody>
                 <?php
                foreach ($listeDisques as $disque) {
                ?>
                <tr>
                    <td><?php echo $disque['titre']; ?></td>
                    <td><?php echo $disque['artiste']; ?></td>
                    <td><?php echo $disque['date']; ?></td>
                    <td><?php
                    $genres = $disque['genre']; // tableau
                    $fusionGenres = join(", ", $genres); // texte
                    echo $fusionGenres;
                    ?></td>
                </tr>
                <?php } ?>
            </tbody>
        </table>

    </body>
</html>

<?php
/** Affiche un champ INPUT de type texte, éventuellement prérempli.
 */
function input_text($name)
{
    global $ajout;
    echo '<input type="text" name="' . $name . '" value="';
    // on affiche la valeur reçue en cas d'erreur
    if (isset($ajout) && $ajout == FALSE) {
        echo trim($_POST[$name]);
    }
    echo '" />';
}

?>
