<?php
//ini_set('error_display', 'on');
ini_set('error_reporting', E_ALL);
session_start();
if (empty($_SESSION['login'])) {
    header("Location: login_session.php");
    exit();
}

// initialisation de la connexion
$db = new PDO('mysql:host=localhost;dbname=disques','root','stg1');
$db->query('SET NAMES UTF8');
$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body>
        <?php
        //var_dump($_POST);
        // Validation du formulaire
        if (isset($_POST['date'])) { // formulaire reçu ?
            $ajout = TRUE;
            foreach (array('titre','id_label','date', 'genre') as $champ) {
                if (!isset($_POST[$champ])
                    || (is_string($_POST[$champ]) && trim($_POST[$champ]) == "")
                ) { // vide ou que des espaces ?
                    echo "<p>Le champ '$champ' n'est pas rempli.</p>";
                    $ajout = FALSE;
                }
            }
            if ($ajout) {
                // ajout d'un disque à la base de données
                $titre = trim($_POST["titre"]);
                $date = $_POST["date"];
                $id_label = $_POST["id_label"];
                // table Disques
                $result = $db->query(
                    "INSERT INTO Disques (titre, date, id_label) "
                    ."VALUES ('$titre', '$date', '$id_label')"
                );
                // table Disques_Genres
                $id_disque = $db->lastInsertId();
                foreach($_POST["genre"] as $id_genre) {
                    $result = $db->query(
                        "INSERT INTO Disques_Genres "
                        ."VALUES ($id_disque, $id_genre)"
                    );
                }
            }
        }
        ?>
        <form id="ajout" method="post" action="">
            <fieldset>
                <legend>Ajout d'un disque</legend>
                Titre :
                <?php input_text('titre'); ?>
                <br />
                Label :
                <select name="id_label">
                <?php
                // liste des labels de la table "Labels"
                $resultat = $db->query("SELECT * FROM Labels");

                // Traitement du résultat de la requête
                while ($ligne = $resultat->fetch(PDO::FETCH_ASSOC)) {
                    echo '<option value="' . $ligne['id_label'] . '">';
                    echo $ligne['nom'] . '</option>';
                }
                ?>
                </select>
                <br />
                Date :
                <?php input_text('date'); ?>
                <br />
                Genre :
                <!-- $_POST['genre'] sera un tableau -->
                <label>
                    <input type="checkbox" name="genre[]" value="1" />
                    Baroque
                </label>
                <input type="checkbox" name="genre[]" value="2" /> Classique
                <br />
                <input type="submit" value="Ajouter" />
            </fieldset>
        </form>
    </body>
</html>

<?php
/** Affiche un champ INPUT de type texte, éventuellement prérempli.
 */
function input_text($name)
{
    global $ajout;
    echo '<input type="text" name="' . $name . '" value="';
    // on affiche la valeur reçue en cas d'erreur
    if (isset($ajout) && $ajout == FALSE) {
        echo trim($_POST[$name]);
    }
    echo '" />';
}

?>
