<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>De la table MySQL au tableau HTML</title>
    </head>
    <body>
        <?php
// initialisation de la connexion
$db = new PDO('mysql:host=localhost;dbname=disques','root','stg1');
$db->query('SET NAMES UTF8');

printTable('Disques');
printTable('Artistes');
        ?>
    </body>
</html>
<?php
function printTable($table)
{
    global $db; // car $db est définie hors de la fonction

    // on envoie une requête SQL
    $resultat = $db->query("SELECT * FROM $table");
    if (! $resultat) {
        echo 'Erreur dans la requete : ';
        print_r($db->errorInfo());
        exit();
    }
    echo "<h2>Table <em>$table</em></h2>";
    echo '<table border="2">';

    // Titres de colonnes
    printTableCols($table);

    // Traitement du résultat de la requête
    while ($ligne = $resultat->fetch(PDO::FETCH_ASSOC)) {
        echo "<tr>";
        /*
        echo "<td>" . $ligne['id_disque'] . "<td>";
        echo "<td>" . $ligne['titre'] . "<td>";
        // ...
        echo "<td>" . $ligne['id_label'] . "<td>";
         */
        foreach ($ligne as $col => $valeur) {
            echo "<td>$valeur</td>";
        }
        echo "</tr\n>";
    }
    echo '</table>';
}

/**
 * Affiche en HTML la ligne des titres de colonnes.
 */
function printTableCols($table)
{
    global $db;

    // on envoie une requête SQL
    $resultat = $db->query("DESCRIBE $table");
    if (! $resultat) {
        echo 'Erreur dans la requete : ';
        print_r($db->errorInfo());
        exit();
    }

    echo '<thead><tr>';
    while ($ligne = $resultat->fetch(PDO::FETCH_NUM)) {
        echo "<th title=\"$ligne[1]\">" . $ligne[0] . "</th>";
    }
    echo '</tr></thead>';
}


