<?php
/*
 * Manipulation de tableaux PHP
 *  - Définir un disque comme un tableau associatif
 *  - Construire une liste de disques
 *  - Ajouter un disque à cette liste
 *  - Afficher la liste dans un "table" HTML
 */

// Ces 2 lignes forcent l'affichage de toutes les erreurs PHP
ini_set('error_display', 'on');
ini_set('error_reporting', E_ALL);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body>
        <?php

        $disque1 = array(
            'titre' => "Sonates",
            'artiste' => "Bach",
            'date' => 2007,
        );
        $disque2 = array(
            "titre" => "Concerto",
            'artiste' => "Beethoven",
            'date' => 2001,
        );

        $listeDisques = array(
            $disque1,
            $disque2,
        );

        // ajout d'un disque à la fin de la liste
        $listeDisques[] = array(
            "titre" => "Sonates",
            'artiste' => "Scarlatti",
            'date' => 2000,
        );
        // ajout d'un disque au début de la liste
        array_unshift(
            $listeDisques,
            array(
                "titre" => "Suites",
                'artiste' => "Bach",
                'date' => 1999,
            )
        );
        
	// Exemple d'accès à un élément de la liste :
        // echo $disques[0]['date'];
        ?>

        <h4>Liste des disques, formattée en HTML</h4>
        <table border="1">
            <thead>
                <tr>
                    <th>titre</th>
                    <th>artiste</th>
                    <th>date</th>
                </tr>
            </thead>
            <tbody>
                 <?php
                foreach ($listeDisques as $disque) {
                ?>
                <tr>
                    <td><?php echo $disque['titre']; ?></td>
                    <td><?php echo $disque['artiste']; ?></td>
                    <td><?php echo $disque['date']; ?></td>
                </tr>
                <?php } ?>
            </tbody>
        </table>

    </body>
</html>
